model(bytecode);

// ######################################################################### 
// Domestic aggregates
// #########################################################################

@#for co in country
@#for se in [1:sector]
EM_cost_@{se}_@{co}_t = phi1_@{se}_@{co}*UU_@{se}_@{co}_t^(phi2_@{se}_@{co}) + P_EM_@{co}_t*(1 + shock_epsi_carb_int_@{co}_t)*carb_int_@{se}_@{co}*(1-UU_@{se}_@{co}_t);
phi1_@{se}_@{co}*phi2_@{se}_@{co}*UU_@{se}_@{co}_t^(phi2_@{se}_@{co}-1) = (P_EM_@{co}_t*carb_int_@{se}_@{co});
@#endfor
@#endfor

@#for co in country 
log(R_@{co}_t/R_@{co}_ts) = 0.8*log(R_@{co}_t(-1)/R_@{co}_ts) + 1.5*(1-0.8)*log(pi_cpi_@{co}_t(-1));        //Modified Taylor-rule

lambda_@{co}_t*(1+tau_c_@{co}_t) = (C_@{co}_t-kappaN_@{co}*N_@{co}_t^lab_@{co}/lab_@{co}*X_ghh_@{co}_t)^(-sig) + mu_ghh_@{co}_t*gam_ghh_@{co}*(X_ghh_@{co}_t(-1)/C_@{co}_t)^(1-gam_ghh_@{co});

(C_@{co}_t-kappaN_@{co}*N_@{co}_t^lab_@{co}/lab_@{co}*X_ghh_@{co}_t)^(-sig)*kappaN_@{co}*N_@{co}_t^lab_@{co}/lab_@{co} + mu_ghh_@{co}_t = betta*(1-gam_ghh_@{co})*mu_ghh_@{co}_t(+1)*(C_@{co}_t(+1)/X_ghh_@{co}_t)^(gam_ghh_@{co});
X_ghh_@{co}_t = X_ghh_@{co}_t(-1)^(1-gam_ghh_@{co})*C_@{co}_t^(gam_ghh_@{co});


1 = betta*lambda_@{co}_t(+1)/lambda_@{co}_t*R_@{co}_t/pi_cpi_@{co}_t(+1);                                   //HH FOC wrt bonds


K_@{co}_t = (1-delta)*K_@{co}_t(-1) + I_@{co}_t;
TQ_@{co}_t+betta*lambda_@{co}_t(+1)/lambda_@{co}_t*kappaI_@{co}/2*((I_@{co}_t(+1)/K_@{co}_t-delta)^2)*(1+tau_I_@{co}_t(+1))* PI_@{co}_t(+1)=betta*lambda_@{co}_t(+1)/lambda_@{co}_t*kappaI_@{co}*(I_@{co}_t(+1)/K_@{co}_t-delta)*( I_@{co}_t(+1)/K_@{co}_t(-1))* (1+tau_I_@{co}_t(+1))*PI_@{co}_t(+1)+ betta*lambda_@{co}_t(+1)/lambda_@{co}_t* TQ_@{co}_t(+1)*(1-delta)+ betta*lambda_@{co}_t(+1)/lambda_@{co}_t*(rk_@{co}_t(+1)*(1-tau_k_@{co}_ts) + delta*tau_k_@{co}_ts);
(1+tau_I_@{co}_t)*PI_@{co}_t*(1+ kappaI_@{co}*(I_@{co}_t/K_@{co}_t(-1)-delta))=TQ_@{co}_t;
Y_@{co}_t = C_@{co}_t + PI_@{co}_t*I_@{co}_t + TB_@{co}_t + PI_@{co}_t* kappaI_@{co}/2*((I_@{co}_t/K_@{co}_t(-1)-delta)^2)*K_@{co}_t(-1);

lambda_@{co}_t*w_@{co}_t*(1-tau_w_@{co}_ts) = (C_@{co}_t-kappaN_@{co}*N_@{co}_t^lab_@{co}/lab_@{co}*X_ghh_@{co}_t)^(-sig)*kappaN_@{co}*N_@{co}_t^(lab_@{co}-1)*X_ghh_@{co}_t;


1 = (
@#for se in [1:sector]
+ Psi_con_@{se}_@{co}*PC_@{se}_@{co}_t^(-sigc_@{co}/(1-sigc_@{co}))
@#endfor
)^(-(1-sigc_@{co})/sigc_@{co});

pi_cpi_@{co}_t = (
@#for se in [1:sector]
+ Psi_con_@{se}_@{co}*(pi_ppi_@{se}_@{co}_t*PC_@{se}_@{co}_t(-1)+1e-6)^(-sigc_@{co}/(1-sigc_@{co}))
@#endfor
)^(-(1-sigc_@{co})/sigc_@{co});                                             //CPI-inflation 


//pi_cpi_@{co}_t=P_@{se}_@{co}_@{co}_t/P_@{se}_@{co}_@{co}_t(-1);

(1+tau_c_@{co}_t) = (
@#for se in [1:sector]
+ Psi_con_@{se}_@{co}*((1+tau_CCC_@{se}_@{co}_t+tau_cc_@{se}_@{co}_t)*PC_@{se}_@{co}_t)^(-sigc_@{co}/(1-sigc_@{co}))
@#endfor
)^(-(1-sigc_@{co})/sigc_@{co});

PI_@{co}_t = (
@#for se in [1:sector]
+ Psi_inv_@{se}_@{co}*PI_@{se}_@{co}_t^(-sigi_@{co}/(1-sigi_@{co}))
@#endfor
)^(-(1-sigi_@{co})/sigi_@{co});

(1+tau_I_@{co}_t)*PI_@{co}_t = (
@#for se in [1:sector]
+ Psi_inv_@{se}_@{co}*((1+tau_III_@{se}_@{co}_t)*PI_@{se}_@{co}_t)^(-sigi_@{co}/(1-sigi_@{co}))
@#endfor
)^(-(1-sigi_@{co})/sigi_@{co});

w_@{co}_t = (
@#for se in [1:sector]
+  omega_N_@{se}_@{co}*w_@{se}_@{co}_t^(-upsi_N_@{co}/(1-upsi_N_@{co}))
@#endfor
)^(-(1-upsi_N_@{co})/upsi_N_@{co});

rk_@{co}_t = (
@#for se in [1:sector]
+  omega_K_@{se}_@{co}*rk_@{se}_@{co}_t^(-upsi_K_@{co}/(1-upsi_K_@{co}))
@#endfor
)^(-(1-upsi_K_@{co})/upsi_K_@{co});


// ######################################################################### 
// Consumption and investmend demand for different goods, relative prices
// ######################################################################### 
@#for se in [1:sector]
C_@{se}_@{co}_t = Psi_con_@{se}_@{co}*((1+tau_c_@{co}_t)/((1+tau_CCC_@{se}_@{co}_t+tau_cc_@{se}_@{co}_t)*PC_@{se}_@{co}_t))^(1/(1-sigc_@{co}))*C_@{co}_t;
I_@{se}_@{co}_t = Psi_inv_@{se}_@{co}*((1+tau_I_@{co}_t)*PI_@{co}_t/((1+tau_III_@{se}_@{co}_t)*PI_@{se}_@{co}_t))^(1/(1-sigi_@{co}))*I_@{co}_t;   
N_@{se}_@{co}_t = omega_N_@{se}_@{co}*(w_@{co}_t/w_@{se}_@{co}_t)^(1/(1-upsi_N_@{co}))*N_@{co}_t; 
K_@{se}_@{co}_t = omega_K_@{se}_@{co}*(rk_@{co}_t(+1)/rk_@{se}_@{co}_t(+1))^(1/(1-upsi_K_@{co}))*K_@{co}_t; 


P_@{se}_@{co}_@{co}_t*Y_@{se}_@{co}_t  = PC_@{se}_@{co}_t*C_@{se}_@{co}_t + PI_@{se}_@{co}_t*I_@{se}_@{co}_t + kappap_@{se}_@{co}/2*(pi_ppi_@{se}_@{co}_t(+1)-1)^2 *P_@{se}_@{co}_@{co}_t*Y_@{se}_@{co}_t+ EMC_cost_@{se}_@{co}_t*P_@{se}_@{co}_@{co}_t*Y_@{se}_@{co}_t + TB_@{se}_@{co}_t + ( 
@#for se2 in [1:sector]
+(1+tau_HHH_@{se2}_@{se}_@{co}_t)*PHH_@{se2}_@{se}_@{co}_t*H_@{se2}_@{se}_@{co}_t
@#endfor
) ;


EMC_cost_@{se}_@{co}_t = phi1_@{se}_@{co}*UU_@{se}_@{co}_t^(phi2_@{se}_@{co});

Y_VA_@{se}_@{co}_t = P_@{se}_@{co}_@{co}_t*Y_@{se}_@{co}_t - (1+tau_H_@{se}_@{co}_t)*PH_@{se}_@{co}_t*H_@{se}_@{co}_t - EM_cost_@{se}_@{co}_t*P_@{se}_@{co}_@{co}_t*Y_@{se}_@{co}_t- kappap_@{se}_@{co}/2*(pi_ppi_@{se}_@{co}_t(+1)-1)^2 *P_@{se}_@{co}_@{co}_t*Y_@{se}_@{co}_t ;
//Y_GO_@{se}_@{co}_t = Y_@{se}_@{co}_t;

Y_@{se}_@{co}_t =epsi_@{co}_t * epsi_@{se}_@{co}_t*(1-Pen_@{se}_@{co}_t)*(N_@{se}_@{co}_t^alphaN_@{se}_@{co}*K_@{se}_@{co}_t(-1)^(1-alphaN_@{se}_@{co}))^alphaH_@{se}_@{co}*H_@{se}_@{co}_t^(1-alphaH_@{se}_@{co});

mc_tild_@{se}_@{co}_t = EM_cost_@{se}_@{co}_t + mc_@{se}_@{co}_t;
//P_@{se}_@{co}_@{co}_t = mc_tild_@{se}_@{co}_t;

//****Firm's pricing decision in case of nominal price rigidities
//1-thetap_@{se}_@{co}+thetap_@{se}_@{co}*mc_tild_@{se}_@{co}_t/PC_@{se}_@{co}_t + betta*lambda_@{co}_t(+1)/lambda_@{co}_t*kappap_@{se}_@{co}*(pi_ppi_@{se}_@{co}_t(+1)-1)*pi_ppi_@{se}_@{co}_t(+1)^2/pi_cpi_@{co}_t(+1)*Y_@{se}_@{co}_t(+1)/Y_@{se}_@{co}_t = kappap_@{se}_@{co}*(pi_ppi_@{se}_@{co}_t-1)*pi_ppi_@{se}_@{co}_t + kappap_@{se}_@{co}/2*((pi_ppi_@{se}_@{co}_t-1)^2)*(1-thetap_@{se}_@{co});
1-thetap_@{se}_@{co}+thetap_@{se}_@{co}*mc_tild_@{se}_@{co}_t/PC_@{se}_@{co}_t + betta*lambda_@{co}_t(+1)/lambda_@{co}_t*kappap_@{se}_@{co}*(pi_ppi_@{se}_@{co}_t(+1)-1)*pi_ppi_@{se}_@{co}_t(+1)^2/pi_cpi_@{co}_t(+1)*Y_@{se}_@{co}_t(+1)/Y_@{se}_@{co}_t = kappap_@{se}_@{co}*(pi_ppi_@{se}_@{co}_t-1)*pi_ppi_@{se}_@{co}_t;// + kappap_@{se}_@{co}/2*((pi_ppi_@{se}_@{co}_t-1)^2)*(1-thetap_@{se}_@{co});
 
w_@{se}_@{co}_t  = alphaH_@{se}_@{co}*alphaN_@{se}_@{co}*mc_@{se}_@{co}_t*Y_@{se}_@{co}_t/N_@{se}_@{co}_t  ;
rk_@{se}_@{co}_t = alphaH_@{se}_@{co}*(1-alphaN_@{se}_@{co})*mc_@{se}_@{co}_t*Y_@{se}_@{co}_t/K_@{se}_@{co}_t(-1);
(1+tau_H_@{se}_@{co}_t)*PH_@{se}_@{co}_t = (1-alphaH_@{se}_@{co})*mc_@{se}_@{co}_t*Y_@{se}_@{co}_t/H_@{se}_@{co}_t;

(1+tau_H_@{se}_@{co}_t)*PH_@{se}_@{co}_t  = (
@#for se2 in [1:sector]
+ Psi_@{se}_@{se2}_@{co}*((1+tau_HHH_@{se}_@{se2}_@{co}_t)*PHH_@{se}_@{se2}_@{co}_t)^(-sigh_@{se}_@{co}/(1-sigh_@{se}_@{co}))
@#endfor
)^(-(1-sigh_@{se}_@{co})/sigh_@{se}_@{co});

PH_@{se}_@{co}_t  = (
@#for se2 in [1:sector]
+ Psi_@{se}_@{se2}_@{co}*(PHH_@{se}_@{se2}_@{co}_t)^(-sigh_@{se}_@{co}/(1-sigh_@{se}_@{co}))
@#endfor
)^(-(1-sigh_@{se}_@{co})/sigh_@{se}_@{co});

@#for se2 in [1:sector]
H_@{se}_@{se2}_@{co}_t = Psi_@{se}_@{se2}_@{co}*((1+tau_H_@{se}_@{co}_t)*PH_@{se}_@{co}_t/((1+tau_HHH_@{se}_@{se2}_@{co}_t)*PHH_@{se}_@{se2}_@{co}_t))^(1/(1-sigh_@{se}_@{co}))*H_@{se}_@{co}_t;
@#endfor

log(epsi_@{se}_@{co}_t/epsi_@{se}_@{co}_ts) = rho_eps_@{co}*log(epsi_@{se}_@{co}_t(-1)/epsi_@{se}_@{co}_ts) + shock_epsi_@{se}_@{co}_t;

// ######################################################################### 
// Multi-country part
// ######################################################################### 

@#for co2 in country
@#for se2 in [1:sector]
H_@{se}_@{se2}_@{co}_@{co2}_t = hb_hhh_@{se}_@{se2}_@{co}_@{co2}*((1+tau_HHH_@{se}_@{se2}_@{co}_t)*PHH_@{se}_@{se2}_@{co}_t/(P_@{se2}_@{co}_@{co2}_t+tau_hhh_@{se2}_@{co}_@{co2}_t))^(1/(1-sighh_@{se}_@{co}))*H_@{se}_@{se2}_@{co}_t;
@#endfor
I_@{se}_@{co}_@{co2}_t = hb_inv_@{se}_@{co}_@{co2}*((1+tau_III_@{se}_@{co}_t)*PI_@{se}_@{co}_t/(P_@{se}_@{co}_@{co2}_t+tau_iii_@{se}_@{co}_@{co2}_t))^(1/(1-sigi_@{se}_@{co}))*I_@{se}_@{co}_t;
C_@{se}_@{co}_@{co2}_t = hb_con_@{se}_@{co}_@{co2}*((1+tau_CCC_@{se}_@{co}_t)*PC_@{se}_@{co}_t/(P_@{se}_@{co}_@{co2}_t+tau_ccc_@{se}_@{co}_@{co2}_t))^(1/(1-sigc_@{se}_@{co}))*C_@{se}_@{co}_t;
@#endfor

(1+tau_CCC_@{se}_@{co}_t)*PC_@{se}_@{co}_t = (
@#for co2 in country
+ hb_con_@{se}_@{co}_@{co2}*(P_@{se}_@{co}_@{co2}_t+tau_ccc_@{se}_@{co}_@{co2}_t)^(-sigc_@{se}_@{co}/(1-sigc_@{se}_@{co}))
@#endfor
)^(-(1-sigc_@{se}_@{co})/sigc_@{se}_@{co});

PC_@{se}_@{co}_t = (
@#for co2 in country
+ hb_con_@{se}_@{co}_@{co2}*P_@{se}_@{co}_@{co2}_t^(-sigc_@{se}_@{co}/(1-sigc_@{se}_@{co}))
@#endfor
)^(-(1-sigc_@{se}_@{co})/sigc_@{se}_@{co});


@#for se2 in [1:sector]
PHH_@{se}_@{se2}_@{co}_t = (
@#for co2 in country
+ hb_hhh_@{se}_@{se2}_@{co}_@{co2}*P_@{se2}_@{co}_@{co2}_t^(-sighh_@{se}_@{co}/(1-sighh_@{se}_@{co}))
@#endfor
)^(-(1-sighh_@{se}_@{co})/sighh_@{se}_@{co});
@#endfor

@#for se2 in [1:sector]
(1+tau_HHH_@{se}_@{se2}_@{co}_t)*PHH_@{se}_@{se2}_@{co}_t  = (
@#for co2 in country
+ hb_hhh_@{se}_@{se2}_@{co}_@{co2}*(P_@{se2}_@{co}_@{co2}_t+tau_hhh_@{se2}_@{co}_@{co2}_t)^(-sighh_@{se}_@{co}/(1-sighh_@{se}_@{co}))
@#endfor
)^(-(1-sighh_@{se}_@{co})/sighh_@{se}_@{co});
@#endfor


(1+tau_III_@{se}_@{co}_t)*PI_@{se}_@{co}_t = (
@#for co2 in country
+ hb_inv_@{se}_@{co}_@{co2}*(P_@{se}_@{co}_@{co2}_t+tau_iii_@{se}_@{co}_@{co2}_t)^(-sigi_@{se}_@{co}/(1-sigi_@{se}_@{co}))
@#endfor
)^(-(1-sigi_@{se}_@{co})/sigi_@{se}_@{co});

PI_@{se}_@{co}_t = (
@#for co2 in country
+ hb_inv_@{se}_@{co}_@{co2}*P_@{se}_@{co}_@{co2}_t^(-sigi_@{se}_@{co}/(1-sigi_@{se}_@{co}))
@#endfor
)^(-(1-sigi_@{se}_@{co})/sigi_@{se}_@{co});

@#endfor
@#endfor

@#for i in 1:nr-1
@#for j in (i+1):nr
rer_@{country[j]}@{country[i]}_t=ner_@{country[j]}@{country[i]}_t*P_@{se}_@{country[i]}_@{country[i]}_t/P_@{se}_@{country[j]}_@{country[j]}_t;
@#endfor
@#endfor

@#for i in 1:nr-1
@#for j in (i+1):nr
@#for se in [1:sector]
P_@{se}_@{country[i]}_@{country[j]}_t = P_@{se}_@{country[j]}_@{country[j]}_t/rer_@{country[j]}@{country[i]}_t;     % Note that rer_ba_t = cpi_a/cpi_b and analogously for others
P_@{se}_@{country[j]}_@{country[i]}_t = P_@{se}_@{country[i]}_@{country[i]}_t*rer_@{country[j]}@{country[i]}_t;
@#endfor
@#if i>1
rer_@{country[j]}@{country[i]}_t = rer_@{country[j]}a_t/rer_@{country[i]}a_t;
@#endif
@#endfor
@#endfor

// ######################################################################### 
// Trade balance (sector-specific and aggregates) and net foreign assets
// #########################################################################

@#for co in country 
@#for se in [1:sector]
TB_@{se}_@{co}_t = 
@#for co2 in country
+P_@{se}_@{co}_@{co}_t/size_@{co}*(size_@{co2}*C_@{se}_@{co2}_@{co}_t+size_@{co2}*I_@{se}_@{co2}_@{co}_t
@#for se2 in [1:sector]
+size_@{co2}*H_@{se2}_@{se}_@{co2}_@{co}_t
@#endfor
)
@#endfor
@#for co2 in country
-P_@{se}_@{co}_@{co2}_t*(C_@{se}_@{co}_@{co2}_t+I_@{se}_@{co}_@{co2}_t
@#for se2 in [1:sector]
+H_@{se2}_@{se}_@{co}_@{co2}_t
@#endfor
)
@#endfor
;
@#endfor
@#endfor

@#for co in country 
TB_@{co}_t = (
@#for se in [1:sector]
+ TB_@{se}_@{co}_t
@#endfor
);
@#endfor

@#for co in country 
@#for se in [1:sector]
TB_quan_@{se}_@{co}_t = 
@#for co2 in country
+1/size_@{co}*(size_@{co2}*carb_int_@{se}_@{co}*(1-UU_@{se}_@{co}_t)*C_@{se}_@{co2}_@{co}_t+size_@{co2}*carb_int_@{se}_@{co}*(1-UU_@{se}_@{co}_t)*I_@{se}_@{co2}_@{co}_t
@#for se2 in [1:sector]
+size_@{co2}*carb_int_@{se}_@{co}*(1-UU_@{se}_@{co}_t)*H_@{se2}_@{se}_@{co2}_@{co}_t
@#endfor
)
@#endfor
@#for co2 in country
-(carb_int_@{se}_@{co2}*(1-UU_@{se}_@{co2}_t)*C_@{se}_@{co}_@{co2}_t+carb_int_@{se}_@{co2}*(1-UU_@{se}_@{co2}_t)*I_@{se}_@{co}_@{co2}_t
@#for se2 in [1:sector]
+carb_int_@{se}_@{co2}*(1-UU_@{se}_@{co2}_t)*H_@{se2}_@{se}_@{co}_@{co2}_t
@#endfor
)
@#endfor
;
@#endfor
@#endfor

@#for co in country 
TB_quan_@{co}_t = (
@#for se in [1:sector]
+ TB_quan_@{se}_@{co}_t
@#endfor
);
@#endfor

@#for co in country[1:nr-1]
NFA_@{co}_t = R_w_t(-1)*exp(-Psi2*(NFA_@{co}_t(-1)-NFA_@{co}_ts)/Y_@{co}_t(-1))*NFA_@{co}_t(-1) + TB_@{co}_t
@#if co != "a"
/ner_@{co}a_t
@#endif
;
@#endfor

@#for co in country
R_@{co}_t=R_w_t*exp(-Psi2*(NFA_@{co}_t-NFA_@{co}_ts)/Y_@{co}_t)
@#if co != "a"
*ner_@{co}a_t(+1)/ner_@{co}a_t
@#endif
;
@#endfor

/*
@#for co in country
lambda_@{co}_t = betta*lambda_@{co}_t(+1)*R_w_t*exp(-Psi2*(NFA_@{co}_t-NFA_@{co}_ts)/Y_@{co}_t)
@#if co != "a"
*rer_@{co}a_t(+1)/rer_@{co}a_t
@#endif
;
@#endfor
*/
/*
@#for co in country[2:nr]
-NFA_@{co}_t*size_@{co}/rer_@{co}a_t
@#endfor
= NFA_a_t*size_a;
*/
@#for co in country[2:nr]
-rer_@{co}a_t*NFA_@{co}_t*size_@{co}
@#endfor
= NFA_a_t*size_a;


// ######################################################################### 
// Climate variables
// #########################################################################

@#for co in country 
P_EM_@{co}_t = P_EM_@{co}_ts + shock_P_EM_@{co}_t;
log(epsi_@{co}_t/epsi_@{co}_ts) = rho_eps_@{co} * log(epsi_@{co}_t(-1)/epsi_@{co}_ts) + shock_epsi_@{co}_t;
@#endfor

@#for co in country
@#for se in [1:sector]

tau_cc_@{se}_@{co}_t-tau_cc_@{se}_@{co}_ts = 0.9*(tau_cc_@{se}_@{co}_t(-1)-tau_cc_@{se}_@{co}_ts);

@#for co2 in country
tau_hhh_@{se}_@{co}_@{co2}_t = tau_hhh_@{se}_@{co}_@{co2}_ts + shock_tau_@{se}_@{co}_@{co2}_t;
tau_ccc_@{se}_@{co}_@{co2}_t = tau_ccc_@{se}_@{co}_@{co2}_ts + shock_tau_@{se}_@{co}_@{co2}_t;
tau_iii_@{se}_@{co}_@{co2}_t = tau_iii_@{se}_@{co}_@{co2}_ts + shock_tau_@{se}_@{co}_@{co2}_t;
@#endfor

@#endfor
@#endfor


EM_t = (1-rho_EM)*EM_t(-1) + (
@#for co in country 
@#for se in [1:sector]
+ size_@{co}*ZZ_@{se}_@{co}_t
@#endfor
@#endfor
);

ZZ_W_t = (
@#for co in country 
+ size_@{co}*ZZ_@{co}_t
@#endfor
);

Mit_W_t = (
@#for co in country 
+ size_@{co}*Mit_@{co}_t
@#endfor
);

@#for co in country 

@#for se in [1:sector]
Pen_@{se}_@{co}_t = gama0_@{se}_@{co} + gama1_@{se}_@{co}*EM_t + gama2_@{se}_@{co}*EM_t^2;
ZZ_@{se}_@{co}_t = (1 + shock_epsi_carb_int_@{co}_t)*carb_int_@{se}_@{co}*(1-UU_@{se}_@{co}_t)*Y_@{se}_@{co}_t;
Mit_@{se}_@{co}_t = carb_int_@{se}_@{co}*UU_@{se}_@{co}_t*Y_@{se}_@{co}_ts;
@#endfor

ZZ_@{co}_t = (
@#for se in [1:sector]
+ ZZ_@{se}_@{co}_t
@#endfor
);

Mit_@{co}_t = (
@#for se in [1:sector]
+ Mit_@{se}_@{co}_t
@#endfor
);

CU_@{co}_t = (
@#for se in [1:sector]
+ phi1_@{se}_@{co} * UU_@{se}_@{co}_t^phi2_@{se}_@{co}*Y_@{se}_@{co}_t
@#endfor
);

@#endfor


// ######################################################################### 
// Welfare
// #########################################################################


@#for co in country

Welf_@{co}_t = log(C_@{co}_t-kappaN_@{co}*N_@{co}_t^lab_@{co}/lab_@{co}*X_ghh_@{co}_t) + betta*Welf_@{co}_t(+1);
Welf_alt_@{co}_t =log((1+CE_@{co}_t)*C_@{co}_ts-kappaN_@{co}*N_@{co}_ts^lab_@{co}/lab_@{co}*X_ghh_@{co}_ts) + betta*Welf_alt_@{co}_t(+1);
Welf_@{co}_t = Welf_alt_@{co}_t;

@#endfor

CE_W_t = (
@#for co in country 
+ size_@{co}*CE_@{co}_t
@#endfor
);

@#for i in 1:nr-1
@#for j in (i+1):nr
@#for se in [1:sector]
Exp_@{se}_@{country[i]}@{country[j]}_t = 
size_@{country[j]}/size_@{country[i]}*(C_@{se}_@{country[j]}_@{country[i]}_t+I_@{se}_@{country[j]}_@{country[i]}_t
@#for se2 in [1:sector]
+H_@{se2}_@{se}_@{country[j]}_@{country[i]}_t
@#endfor
)/Y_@{se}_@{country[i]}_t;
@#endfor
@#endfor
@#endfor

@#for co in country
@#for se in [2:sector]
pi_ppi_1_@{co}_t/pi_ppi_@{se}_@{co}_t = (PC_1_a_t/PC_@{se}_a_t)*(PC_@{se}_a_t(-1)/PC_1_a_t(-1));  //(Nominal) PPI-inflation 
@#endfor
@#endfor                                                                   

end;