This replication package contains the files for baseline simulations of the multi-sectoral multi-region New Keynesian open economy E-DSGE model EMuSe:

Natascha Hinterlang, Anika Martin, Oke Röhe,
Nikolai Stähler and Johannes Strobel (2023),
The Environmental Multi-Sector DSGE model EMuSe:
A technical documentation,
Deutsche Bundesbank Technical Paper, No. 03/2023.


The directory contains the following scripts

	- "Main.m": calls dynare, plotting and table routines 

	- "simul.mod": main dynare mod file, which includes the definition of variables and parameters ("Vars_params.m"), the steady state (stored in "pars.mat"), 
	  the system of equations ("Equations.mod"), initial values ("Init_Val.mod") and the deterministic simulation. 
	
	- Results are stored in the correspondingly named folder, which also includes plotting and table routines. "Fig_prepare.m" computes variable transformations for the plots. 
	  The following provides an overview of which routine produces which figure and table of the paper.

	Baseline:
 	- "Figures_aggregate.m": Fig. 1, Fig. 2, Fig. 3
 	- "Figure_sectors.m": Fig. 4
	- "Figures_welf.m": Fig. 5
	- "Figures_all_scenarios.m": Fig. C.2, Fig. C.3, Fig. C.4
 	- "Figures_trade.m": Fig C.10
 	- "Tables.m": Table 1, Table 2
	- "Alternative_simulation.m": Fig C.7, Fig. C.8, Table 3

