
%%
% Load data
load('SimulResults_RegA')
Sim_results_RegA = Sim_results; 
Sim_results_RegA = 100*(Sim_results_RegA./Sim_results_RegA(:,1) -1);
load('SimulResults_ReAB')
Sim_results_ReAB = Sim_results; 
Sim_results_ReAB = 100*(Sim_results_ReAB./Sim_results_ReAB(:,1) -1);
load('SimulResults_RABC')
Sim_results_RABC = Sim_results; 
Sim_results_RABC = 100*(Sim_results_RABC./Sim_results_RABC(:,1) -1);
load('SimulResults_RegA_ba')
Sim_results_RegA_ba = Sim_results; 
Sim_results_RegA_ba = 100*(Sim_results_RegA_ba./Sim_results_RegA_ba(:,1) -1);
load('SimulResults_ReAB_ba')
Sim_results_ReAB_ba = Sim_results; 
Sim_results_ReAB_ba = 100*(Sim_results_ReAB_ba./Sim_results_ReAB_ba(:,1) -1);

% get a vector with variable names
for i = 1:size(Sim_results, 1) 
    Endo_names(i,1) = convertCharsToStrings(var_names(i, 1:4)); 
end

% Output for each sector and each regime
findY = strcmp(Endo_names, 'Y_VA');

Y_results_RegA = Sim_results_RegA(findY, :);
Y_results_ReAB = Sim_results_ReAB(findY, :);
Y_results_RABC = Sim_results_RABC(findY, :);
Y_results_RegA_ba = Sim_results_RegA_ba(findY, :);
Y_results_ReAB_ba = Sim_results_ReAB_ba(findY, :);

Y_results_RegA_ss = Y_results_RegA(1:end, end);
Y_results_ReAB_ss = Y_results_ReAB(1:end, end);
Y_results_RABC_ss = Y_results_RABC(1:end, end);
Y_results_RegA_ba_ss = Y_results_RegA_ba(1:end, end);
Y_results_ReAB_ba_ss = Y_results_ReAB_ba(1:end, end);

%% Figure 

figure;
subplot(5,1,1)
bar(Y_results_RegA_ss(1:11), 'facecolor', 'b');
hold on
bar(12:22,Y_results_RegA_ss(12:22), 'facecolor', 'r');
bar(23:33,Y_results_RegA_ss(23:end), 'facecolor', 'y');

set(gca,'XTick', 1:1:33)
title('Carbon pricing in a only','FontSize',11,'FontWeight','Bold');
xlabel('Sectors')
xticklabels({'1', '2','3', '4', '5', '6','7','8' '9', '10', '11', '1', '2','3', '4', '5', '6','7','8' '9', '10', '11', '1', '2','3', '4', '5', '6','7','8' '9', '10', '11'});
ylabel('% - Change'); set(gca,'FontSize',11); 

subplot(5,1,2)
bar(Y_results_RegA_ba_ss(1:11), 'facecolor', 'b');
hold on
bar(12:22,Y_results_RegA_ba_ss(12:22), 'facecolor', 'r');
bar(23:33,Y_results_RegA_ba_ss(23:end), 'facecolor', 'y');

set(gca,'XTick', 1:1:33)
title('Carbon pricing in a plus Bord.Adj. in a','FontSize',11,'FontWeight','Bold');
xlabel('Sectors')
xticklabels({'1', '2','3', '4', '5', '6','7','8' '9', '10', '11', '1', '2','3', '4', '5', '6','7','8' '9', '10', '11', '1', '2','3', '4', '5', '6','7','8' '9', '10', '11'});
ylabel('% - Change'); set(gca,'FontSize',11);  


subplot(5,1,3)
bar(Y_results_ReAB_ss(1:11),'facecolor', 'b');
hold on
bar(12:22,Y_results_ReAB_ss(12:22), 'facecolor', 'r');
bar(23:33,Y_results_ReAB_ss(23:end), 'facecolor', 'y');
set(gca,'XTick', 1:1:33)
title('Carbon pricing in a and b','FontSize',11,'FontWeight','Bold');
xlabel('Sectors')
xticklabels({'1', '2','3', '4', '5', '6','7','8' '9', '10', '11', '1', '2','3', '4', '5', '6','7','8' '9', '10', '11', '1', '2','3', '4', '5', '6','7','8' '9', '10', '11'});
ylabel('% - Change'); set(gca,'FontSize',11);  


subplot(5,1,4)
bar(Y_results_ReAB_ba_ss(1:11),'facecolor', 'b');
hold on
bar(12:22,Y_results_ReAB_ba_ss(12:22), 'facecolor', 'r');
bar(23:33,Y_results_ReAB_ba_ss(23:end), 'facecolor', 'y');
set(gca,'XTick', 1:1:33)
title('Carbon pricing in a and b plus Bord.Adj. vis-a-vis c','FontSize',11,'FontWeight','Bold');
xlabel('Sectors')
xticklabels({'1', '2','3', '4', '5', '6','7','8' '9', '10', '11', '1', '2','3', '4', '5', '6','7','8' '9', '10', '11', '1', '2','3', '4', '5', '6','7','8' '9', '10', '11'});
ylabel('% - Change'); set(gca,'FontSize',11);  

subplot(5,1,5)
bar(Y_results_RABC_ss(1:11),'facecolor', 'b');
hold on
bar(12:22,Y_results_RABC_ss(12:22), 'facecolor', 'r');
bar(23:33,Y_results_RABC_ss(23:end), 'facecolor', 'y');
set(gca,'XTick', 1:1:33)
title('Carbon pricing in a, b and c','FontSize',11,'FontWeight','Bold');
xlabel('Sectors')
xticklabels({'1', '2','3', '4', '5', '6','7','8' '9', '10', '11', '1', '2','3', '4', '5', '6','7','8' '9', '10', '11', '1', '2','3', '4', '5', '6','7','8' '9', '10', '11'});
ylabel('% - Change'); set(gca,'FontSize',11); 


   h_legend=legend('Region a','Region b', 'Region c','Orientation','horizontal','Location','SouthOutside');
    pos = get(h_legend,'Position');
    pos(1) = 0.253;
    pos(2) = 0.038;
    pos(3) = 0.53;
    pos(4) = 0.033;
    set(h_legend,'Position',pos);
    set(h_legend,'FontSize',11,'FontWeight','Bold');
    
    dim = [16,9];
    set(gcf,'paperpositionmode','manual','paperunits','inches');
    set(gcf,'papersize',dim,'paperposition',[0,0,dim]);
    print(gcf,'-dpdf','Fig_4');
    print(gcf,'-depsc','Fig_4');    

    
