%% Preparations (for all figures)

simulationnames  = str2mat('RegA','RegA_ba','ReAB','ReAB_ba', 'RABC');
simulationnames2 = str2mat('Carbon pricing in a','Carbon pricing in a plus BA in a','Carbon pricing in a + b','Carbon pricing in a + b plus BA vis-a-vis c', 'Carbon pricing in a, b + c');
size_sim=size(simulationnames,1);

ti=2020:0.25:2200; ti=ti';
n=size(ti,1);
pl=1:n+0;

ti2=2020:0.25:2420; ti2=ti2';
n2=size(ti2,1);
pl2=1:n2+0;

col_sim = [1 0.2 0.2; 1 0.5 0; 0 0.6 0.3; 0 0.5 1; 0 0 0];
sty_sim = str2mat('-.', ':','-','--','-');
pl_per  = str2mat('pl');
pl_per2 = str2mat('pl2');

Zeroline=zeros(n,1);


%% Macro variables

varlist = str2mat('Y_a_t',  'Y_b_t', 'Y_c_t', 'C_a_t',	'C_b_t', 'C_c_t', 'K_a_t', 'K_b_t', 'K_c_t', 'N_a_t', 'N_b_t', 'N_c_t' );
titlist = str2mat('Output Y^a', 'Output Y^b', 'Output Y^c', 'Consumption C^a', 'Consumption C^b','Consumption C^c','Capital stock K^a','Capital stock K^b','Capital stock K^c', 'Employment N^a', 'Employment N^b', 'Employment N^c' );
n = size(varlist,1);

f = figure;
for i = 1:n
subplot (4,3,i); 
   for jj=1:size_sim
            xlim manual
            plot(ti, eval(strcat(simulationnames(jj,:),'_',varlist(i,:), '_percdev(',pl_per,')*100')),'Color',col_sim(jj,:),'LineStyle',sty_sim(jj,:),'LineWidth',3,'MarkerSize',3)
            xlim([2020 2180])
            hold on 
   end
   plot(ti,Zeroline,'k','LineWidth',1);
   title(titlist(i,:),'FontSize',11,'FontWeight','Bold');
   xlabel ('time');
   
end   

    h_legend=legend(simulationnames2(:,:),'Orientation','horizontal','Location','SouthOutside');
    pos = get(h_legend,'Position');
    pos(1) = 0.253;
    pos(2) = 0.038;
    pos(3) = 0.53;
    pos(4) = 0.033;
    set(h_legend,'Position',pos);
    set(h_legend,'FontSize',11,'FontWeight','Bold');
     
    dim = [16,9];
    set(gcf,'paperpositionmode','manual','paperunits','inches');
    set(gcf,'papersize',dim,'paperposition',[0,0,dim]);
    print(gcf,'-dpdf','Fig_C2');
    print(gcf,'-depsc','Fig_C2');


%% Relative/factor prices    
varlist = str2mat('w_a_t', 'w_b_t',	'w_c_t', 'rer_ba_t', 'rer_ca_t', 'rer_bc_t', 'P_EM_a_t','P_EM_b_t','P_EM_c_t','tau_ccc_4_a_c_t', 'tau_ccc_4_b_c_t', 'tau_ccc_4_c_c_t' );
titlist = str2mat('Real wage w^a', 'Real wage w^b',	'Real wage w^c', 'Real exchange rate rer^{b,a}', 'Real exchange rate rer^{c,a}','Real exchange rate rer^{b,c}', 'Carbon price P^{EM,a}','Carbon price P^{EM,b}','Carbon price P^{EM,c}', 'Tax burden on imports of sec. 4 in a', 'Tax burden on imports of sec. 4 in b', 'Tax burden on imports of sec. 4 in c' );
n = size(varlist,1);

f = figure;
for i = 1:n
subplot (4,3,i); 
   for jj=1:size_sim
       if i==1
              xlim manual
              plot(ti, eval(strcat(simulationnames(jj,:),'_',varlist(i,:), '_percdev(',pl_per,')*(100)')),'Color',col_sim(jj,:),'LineStyle',sty_sim(jj,:),'LineWidth',3,'MarkerSize',3)
              xlim([2020 2180])
              hold on 
       elseif i==2
              xlim manual
              plot(ti, eval(strcat(simulationnames(jj,:),'_',varlist(i,:), '_percdev(',pl_per,')*(100)')),'Color',col_sim(jj,:),'LineStyle',sty_sim(jj,:),'LineWidth',3,'MarkerSize',3)
              xlim([2020 2180])
              hold on 
       elseif i==3
              xlim manual
              plot(ti, eval(strcat(simulationnames(jj,:),'_',varlist(i,:), '_percdev(',pl_per,')*(100)')),'Color',col_sim(jj,:),'LineStyle',sty_sim(jj,:),'LineWidth',3,'MarkerSize',3)
              xlim([2020 2180])
              hold on
       elseif i==12
            xlim manual
            ylim manual
            plot(ti, eval(strcat(simulationnames(jj,:),'_',varlist(i,:), '_ppdev(',pl_per,')*100')),'Color',col_sim(jj,:),'LineStyle',sty_sim(jj,:),'LineWidth',3,'MarkerSize',3)
            xlim([2020 2180])
            hold on
       elseif i==11
            xlim manual
            plot(ti, eval(strcat(simulationnames(jj,:),'_',varlist(i,:), '_level(',pl_per,')*100')),'Color',col_sim(jj,:),'LineStyle',sty_sim(jj,:),'LineWidth',3,'MarkerSize',3)
            xlim([2020 2180])
            hold on   
       elseif i==10
            xlim manual
            plot(ti, eval(strcat(simulationnames(jj,:),'_',varlist(i,:), '_level(',pl_per,')*100')),'Color',col_sim(jj,:),'LineStyle',sty_sim(jj,:),'LineWidth',3,'MarkerSize',3)
            xlim([2020 2180])
            hold on  
       elseif i==7
            xlim manual
            plot(ti, eval(strcat(simulationnames(jj,:),'_',varlist(i,:), '_percdev(',pl_per,')')),'Color',col_sim(jj,:),'LineStyle',sty_sim(jj,:),'LineWidth',3,'MarkerSize',3)
            xlim([2020 2180])
            hold on 
       elseif i==8
            xlim manual
            plot(ti, eval(strcat(simulationnames(jj,:),'_',varlist(i,:), '_percdev(',pl_per,')')),'Color',col_sim(jj,:),'LineStyle',sty_sim(jj,:),'LineWidth',3,'MarkerSize',3)
            xlim([2020 2180])
            hold on 
       elseif i==9
            xlim manual
            plot(ti, eval(strcat(simulationnames(jj,:),'_',varlist(i,:), '_percdev(',pl_per,')')),'Color',col_sim(jj,:),'LineStyle',sty_sim(jj,:),'LineWidth',3,'MarkerSize',3)
            xlim([2020 2180])
            hold on 
       else
            xlim manual
            plot(ti, eval(strcat(simulationnames(jj,:),'_',varlist(i,:), '_ppdev(',pl_per,')*100')),'Color',col_sim(jj,:),'LineStyle',sty_sim(jj,:),'LineWidth',3,'MarkerSize',3)
            xlim([2020 2180])
            hold on 
       end
   end
   plot(ti,Zeroline,'k','LineWidth',1);
   title(titlist(i,:),'FontSize',11,'FontWeight','Bold');
   xlabel ('time');
   
end   

    h_legend=legend(simulationnames2(:,:),'Orientation','horizontal','Location','SouthOutside');
    pos = get(h_legend,'Position');
    pos(1) = 0.253;
    pos(2) = 0.038;
    pos(3) = 0.53;
    pos(4) = 0.033;
    set(h_legend,'Position',pos);
    set(h_legend,'FontSize',11,'FontWeight','Bold');
     
    dim = [16,9];
    set(gcf,'paperpositionmode','manual','paperunits','inches');
    set(gcf,'papersize',dim,'paperposition',[0,0,dim]);
    print(gcf,'-dpdf','Fig_C3');
    print(gcf,'-depsc','Fig_C3');


%% Environmental variables 

varlist = str2mat('ZZ_a_t','ZZ_b_t','ZZ_c_t','Mit_a_t','Mit_b_t','Mit_c_t','TB_quan_a_t','TB_quan_b_t', 'TB_quan_c_t','ZZ_W_t','Mit_W_t', 'EM_t' );

titlist = str2mat('Per-capita emissions Z^a','Per-capita emissions Z^b','Per-capita emissions Z^c','Per-capita mitigation effort U^a' , 'Per-capita mitigation effort U^b', 'Per-capita mitigation effort U^c','Carbon leakage in a','Carbon leakage in b', 'Carbon leakage in c','World emissions Z^W', 'World mitigation effort U','World emission stock EM');
n = size(varlist,1);

f = figure;
for i = 1:n
subplot (4,3,i); 
   for jj=1:size_sim
       if i==12
            xlim manual
            plot(ti2, eval(strcat(simulationnames(jj,:),'_',varlist(i,:), '_percdev(',pl_per2,')*100')),'Color',col_sim(jj,:),'LineStyle',sty_sim(jj,:),'LineWidth',3,'MarkerSize',3)
            xlim([2020 2180])
            hold on 
       elseif i==7
            xlim manual
            plot(ti, eval(strcat(simulationnames(jj,:),'_',varlist(i,:), '_level(',pl_per,')./',simulationnames(jj,:),'_',varlist(i-6,:), '_level(',pl_per,')*(-100)')),'Color',col_sim(jj,:),'LineStyle',sty_sim(jj,:),'LineWidth',3,'MarkerSize',3)
            xlim([2020 2180])
            hold on  
       elseif i==8
            xlim manual
            plot(ti, eval(strcat(simulationnames(jj,:),'_',varlist(i,:), '_level(',pl_per,')./',simulationnames(jj,:),'_',varlist(i-7,:), '_level(',pl_per,')*(-100)')),'Color',col_sim(jj,:),'LineStyle',sty_sim(jj,:),'LineWidth',3,'MarkerSize',3)
            xlim([2020 2180])
            hold on
       elseif i==9
            xlim manual
            plot(ti, eval(strcat(simulationnames(jj,:),'_',varlist(i,:), '_level(',pl_per,')./',simulationnames(jj,:),'_',varlist(i-8,:), '_level(',pl_per,')*(-100)')),'Color',col_sim(jj,:),'LineStyle',sty_sim(jj,:),'LineWidth',3,'MarkerSize',3)
            xlim([2020 2180])
            hold on  
       elseif i==6
            xlim manual
            plot(ti, eval(strcat(simulationnames(jj,:),'_',varlist(i,:), '_percdev(',pl_per,')*100')),'Color',col_sim(jj,:),'LineStyle',sty_sim(jj,:),'LineWidth',3,'MarkerSize',3)
            xlim([2020 2180])
            hold on             
       else
            xlim manual
            plot(ti, eval(strcat(simulationnames(jj,:),'_',varlist(i,:), '_percdev(',pl_per,')*100')),'Color',col_sim(jj,:),'LineStyle',sty_sim(jj,:),'LineWidth',3,'MarkerSize',3)
            xlim([2020 2180])
            hold on 
       end
   end
   if i==7
   elseif i==8
   elseif i==9
   else
   plot(ti,Zeroline,'k','LineWidth',1);
   end
   title(titlist(i,:),'FontSize',11,'FontWeight','Bold');
   xlabel ('time');
   
end   

    h_legend=legend(simulationnames2(:,:),'Orientation','horizontal','Location','SouthOutside');
    pos = get(h_legend,'Position');
    pos(1) = 0.253;
    pos(2) = 0.038;
    pos(3) = 0.53;
    pos(4) = 0.033;
    set(h_legend,'Position',pos);
    set(h_legend,'FontSize',11,'FontWeight','Bold');    
    
    dim = [16,9];
    set(gcf,'paperpositionmode','manual','paperunits','inches');
    set(gcf,'papersize',dim,'paperposition',[0,0,dim]);
    print(gcf,'-dpdf','Fig_C4');
    print(gcf,'-depsc','Fig_C4');     


