%% Preparations 

simulationnames  = str2mat('RegA','RegA_ba','ReAB','ReAB_ba');
simulationnames2 = str2mat('Carbon pricing only in a','Carbon pricing in a plus Bord.Adj. in a','Carbon pricing in a and b','Carbon pricing in a and b plus Bord.Adj. vis-a-vis c');

size_sim=size(simulationnames,1);

ti=2020:0.25:2200; ti=ti';
n=size(ti,1);
pl=1:n+0;

ti2=2020:0.25:2420; ti2=ti2';
n2=size(ti2,1);
pl2=1:n2+0;

% colorstring= 'kbgry';
col_sim = [1 0.2 0.2; 1 0.5 0; 0 0.6 0.3; 0 0.5 1];
sty_sim = str2mat('-.', ':',':' ,'--');
pl_per  = str2mat('pl');
pl_per2 = str2mat('pl2');

Zeroline=zeros(n,1);


%% Plot
varlist = str2mat('Y_VA_2_a_t', 'TB_2_a_t', 'Y_VA_3_a_t', 'TB_3_a_t','Y_VA_4_a_t', 'TB_4_a_t', 'Y_VA_8_a_t', 'TB_8_a_t', 'Y_VA_9_a_t', 'TB_9_a_t', 'Y_VA_10_a_t', 'TB_10_a_t');
titlist = str2mat('Value added sec. 2', 'TB over output sec. 2', 'Value added sec. 3', 'TB over output sec. 3', 'Value added sec. 4', 'TB over output sec. 4', 'Value added sec. 8', 'TB over output sec. 8', 'Value added sec. 9', 'TB over output sec. 9', 'Value added sec. 10', 'TB over output sec. 10' );

n = size(varlist,1);


f = figure;
for i = 1:n
subplot (3,4,i); 
   for jj=1:size_sim
       if i==2
            xlim manual
            plot(ti, eval(strcat(simulationnames(jj,:),'_',varlist(i,:), '_level(',pl_per,')./',simulationnames(jj,:),'_Y_2_a_t_level(',pl_per,')*(100)')),'Color',col_sim(jj,:),'LineStyle',sty_sim(jj,:),'LineWidth',3,'MarkerSize',3)
            xlim([2020 2200])
            hold on            
       elseif i==4
            xlim manual
            plot(ti, eval(strcat(simulationnames(jj,:),'_',varlist(i,:), '_level(',pl_per,')./',simulationnames(jj,:),'_Y_3_a_t_level(',pl_per,')*(100)')),'Color',col_sim(jj,:),'LineStyle',sty_sim(jj,:),'LineWidth',3,'MarkerSize',3)
            xlim([2020 2200])
            hold on   
       elseif i==6
            xlim manual
            plot(ti, eval(strcat(simulationnames(jj,:),'_',varlist(i,:), '_level(',pl_per,')./',simulationnames(jj,:),'_Y_4_a_t_level(',pl_per,')*(100)')),'Color',col_sim(jj,:),'LineStyle',sty_sim(jj,:),'LineWidth',3,'MarkerSize',3)
            xlim([2020 2200])
            ylim([-0.01, 0.01])
            hold on   
       elseif i==8
            xlim manual
            plot(ti, eval(strcat(simulationnames(jj,:),'_',varlist(i,:), '_level(',pl_per,')./',simulationnames(jj,:),'_Y_8_a_t_level(',pl_per,')*(100)')),'Color',col_sim(jj,:),'LineStyle',sty_sim(jj,:),'LineWidth',3,'MarkerSize',3)
            xlim([2020 2200])
            hold on  
       elseif i==10
            xlim manual
            plot(ti, eval(strcat(simulationnames(jj,:),'_',varlist(i,:), '_level(',pl_per,')./',simulationnames(jj,:),'_Y_9_a_t_level(',pl_per,')*(100)')),'Color',col_sim(jj,:),'LineStyle',sty_sim(jj,:),'LineWidth',3,'MarkerSize',3)
            xlim([2020 2200])
            hold on  
       elseif i==12
            xlim manual
            plot(ti, eval(strcat(simulationnames(jj,:),'_',varlist(i,:), '_level(',pl_per,')./',simulationnames(jj,:),'_Y_10_a_t_level(',pl_per,')*(100)')),'Color',col_sim(jj,:),'LineStyle',sty_sim(jj,:),'LineWidth',3,'MarkerSize',3)
            xlim([2020 2200])
            hold on                         
       else
            xlim manual
            plot(ti, eval(strcat(simulationnames(jj,:),'_',varlist(i,:), '_percdev(',pl_per,')*100')),'Color',col_sim(jj,:),'LineStyle',sty_sim(jj,:),'LineWidth',3,'MarkerSize',3)
            xlim([2020 2180])
            hold on 
       end
   end
   plot(ti,Zeroline,'k','LineWidth',1);
   title(titlist(i,:),'FontSize',11,'FontWeight','Bold');
   xlabel ('time');
   
end   

    h_legend=legend(simulationnames2(:,:),'Orientation','horizontal','Location','SouthOutside');
    pos = get(h_legend,'Position');
    pos(1) = 0.253;
    pos(2) = 0.033;
    pos(3) = 0.53;
    pos(4) = 0.028;
    set(h_legend,'Position',pos);
    set(h_legend,'FontSize',11,'FontWeight','Bold');
     
    dim = [16,9];
    set(gcf,'paperpositionmode','manual','paperunits','inches');
    set(gcf,'papersize',dim,'paperposition',[0,0,dim]);
    print(gcf,'-dpdf','Fig_C10');
    print(gcf,'-depsc','Fig_C10');


