%% Preparations 

simulationnames  = str2mat('RegA','RegA_ba','ReAB','ReAB_ba', 'RABC');
simulationnames2 = str2mat('PM only in a','PM in a plus Bord.Adj. in a','PM in a and b','PM in a and b plus Bord.Adj. vis-a-vis c', 'PEM in a, b and c');
size_sim=size(simulationnames,1);

ti=2020:0.25:2200; ti=ti';
n=size(ti,1);
pl=1:n+0;

ti2=2020:0.25:2420; ti2=ti2';
n2=size(ti2,1);
pl2=1:n2+0;

col_sim = [1 0.2 0.2; 1 0.5 0; 0 0.6 0.3; 0 0.5 1; 0 0 0];
sty_sim = str2mat('-.', ':','-','--','-');
pl_per  = str2mat('pl');
pl_per2 = str2mat('pl2');

Zeroline=zeros(n,1);


%% Welfare for general simulation
varlist = str2mat('CE_a_t',  'CE_b_t', 'CE_c_t', 'CE_W_t' );
titlist = str2mat('Consumption equivalent a', 'Consumption equivalent b', 'Consumption equivalent c', 'Consumption equivalent world');
n = size(varlist,1);

f = figure;
for i = 1:n
subplot (2,2,i); 
   for jj=1:size_sim
            xlim manual
            plot(ti, eval(strcat(simulationnames(jj,:),'_',varlist(i,:), '_ppdev(',pl_per,')*100')),'Color',col_sim(jj,:),'LineStyle',sty_sim(jj,:),'LineWidth',3,'MarkerSize',3)
            xlim([2020 2180])
            hold on 
   end
   plot(ti,Zeroline,'k','LineWidth',1);
   title(titlist(i,:),'FontSize',11,'FontWeight','Bold');
   xlabel ('time');
   
end   

    h_legend=legend(simulationnames2(:,:),'Orientation','horizontal','Location','SouthOutside');
    pos = get(h_legend,'Position');
    pos(1) = 0.253;
    pos(2) = 0.038;
    pos(3) = 0.53;
    pos(4) = 0.033;
    set(h_legend,'Position',pos);
    set(h_legend,'FontSize',11,'FontWeight','Bold');
     
    dim = [16,9];
    set(gcf,'paperpositionmode','manual','paperunits','inches');
    set(gcf,'papersize',dim,'paperposition',[0,0,dim]);
    print(gcf,'-dpdf','Fig_5');
    print(gcf,'-depsc','Fig_5');


