function TabOutputVDEC(fname,caption,note,C,V,Vheads,H)

fid = fopen([fname '.tex'],'w');
fprintf(fid,'\\renewcommand{\\arraystretch}{1.25}\n');
fprintf(fid,'\\begin{table}[h]');
fprintf(fid,['\\caption{' caption '}\n']);
fprintf(fid,'\\begin{tabular}');
fprintf(fid,'{@{}l');
for i = 1:length(H)
    fprintf(fid,'r');
end
fprintf(fid,'@{}}\\hline\n');
for i = 1:round(size(H,2))
    fprintf(fid,'& %s',cell2mat(H(i)));
end
fprintf(fid,'\\\\\\hline\\hline\n');
for h = 1:length(Vheads)
    fprintf(fid,['& \\multicolumn{' num2str(size(H,2)) '}{l}{' cell2mat(Vheads(h)) '}']);
    for i = 1:size(C,1)
        fprintf(fid,'\\\\ \n');
        fprintf(fid,'%s',cell2mat(V(i)));
        for j = 1:size(C,2)
            if ~isnan(C(i,j,h))
                fprintf(fid,'& %5.2f ',C(i,j,h));
            else
                fprintf(fid,'&');
            end
        end
    end
    fprintf(fid,'\\\\\\hline \n');
end
fprintf(fid,'\\hline\\end{tabular}');
if ~isempty(note)
    fprintf(fid,'\n\n\\vspace*{5pt}\n');
    fprintf(fid,['\\parbox{' note.width '}{\\footnotesize\\textbf{Note: }' note.text '}\n']);
end
fprintf(fid,'\\end{table}');
fclose(fid);